## org.eclipse.ocl.parser
Interface OCLParsersym

All Known Implementing Classes:
  OCLKWLexer, OCLLexer, OCLParserprs

    public interface OCLParsersym

Field Summary
`static boolean` `isValidForParser`
`static String[]` `orderedTerminalSymbols`
`static int` `TK_allInstances` Token kind codes.
`static int` `TK_and` Token kind codes.
`static int` `TK_any` Token kind codes.
`static int` `TK_ARROW` Token kind codes.
`static int` `TK_ATPRE` Token kind codes.
`static int` `TK_attr` Token kind codes.
`static int` `TK_Bag` Token kind codes.
`static int` `TK_BAR` Token kind codes.
`static int` `TK_body` Token kind codes.
`static int` `TK_Boolean` Token kind codes.
`static int` `TK_CARET` Token kind codes.
`static int` `TK_CARETCARET` Token kind codes.
`static int` `TK_closure` Token kind codes.
`static int` `TK_collect` Token kind codes.
`static int` `TK_Collection` Token kind codes.
`static int` `TK_collectNested` Token kind codes.
`static int` `TK_COLON` Token kind codes.
`static int` `TK_COLONCOLON` Token kind codes.
`static int` `TK_COMMA` Token kind codes.
`static int` `TK_context` Token kind codes.
`static int` `TK_def` Token kind codes.
`static int` `TK_derive` Token kind codes.
`static int` `TK_DIVIDE` Token kind codes.
`static int` `TK_DOT` Token kind codes.
`static int` `TK_DOTDOT` Token kind codes.
`static int` `TK_else` Token kind codes.
`static int` `TK_endif` Token kind codes.
`static int` `TK_endpackage` Token kind codes.
`static int` `TK_EOF_TOKEN` Token kind codes.
`static int` `TK_EQUAL` Token kind codes.
`static int` `TK_ERROR_TOKEN` Token kind codes.
`static int` `TK_exists` Token kind codes.
`static int` `TK_false` Token kind codes.
`static int` `TK_forAll` Token kind codes.
`static int` `TK_GREATER` Token kind codes.
`static int` `TK_GREATER_EQUAL` Token kind codes.
`static int` `TK_IDENTIFIER` Token kind codes.
`static int` `TK_if` Token kind codes.
`static int` `TK_implies` Token kind codes.
`static int` `TK_in` Token kind codes.
`static int` `TK_init` Token kind codes.
`static int` `TK_Integer` Token kind codes.
`static int` `TK_INTEGER_LITERAL` Token kind codes.
`static int` `TK_INTEGER_RANGE_START` Token kind codes.
`static int` `TK_inv` Token kind codes.
`static int` `TK_Invalid` Token kind codes.
`static int` `TK_isUnique` Token kind codes.
`static int` `TK_iterate` Token kind codes.
`static int` `TK_LBRACE` Token kind codes.
`static int` `TK_LBRACKET` Token kind codes.
`static int` `TK_LESS` Token kind codes.
`static int` `TK_LESS_EQUAL` Token kind codes.
`static int` `TK_let` Token kind codes.
`static int` `TK_LPAREN` Token kind codes.
`static int` `TK_MINUS` Token kind codes.
`static int` `TK_MULTIPLY` Token kind codes.
`static int` `TK_not` Token kind codes.
`static int` `TK_NOT_EQUAL` Token kind codes.
`static int` `TK_null` Token kind codes.
`static int` `TK_NUMERIC_OPERATION` Token kind codes.
`static int` `TK_OclAny` Token kind codes.
`static int` `TK_oclAsType` Token kind codes.
`static int` `TK_OclInvalid` Token kind codes.
`static int` `TK_oclIsInState` Token kind codes.
`static int` `TK_oclIsInvalid` Token kind codes.
`static int` `TK_oclIsKindOf` Token kind codes.
`static int` `TK_oclIsNew` Token kind codes.
`static int` `TK_oclIsTypeOf` Token kind codes.
`static int` `TK_oclIsUndefined` Token kind codes.
`static int` `TK_OclMessage` Token kind codes.
`static int` `TK_OclVoid` Token kind codes.
`static int` `TK_one` Token kind codes.
`static int` `TK_oper` Token kind codes.
`static int` `TK_or` Token kind codes.
`static int` `TK_OrderedSet` Token kind codes.
`static int` `TK_package` Token kind codes.
`static int` `TK_PLUS` Token kind codes.
`static int` `TK_post` Token kind codes.
`static int` `TK_pre` Token kind codes.
`static int` `TK_QUESTIONMARK` Token kind codes.
`static int` `TK_RBRACE` Token kind codes.
`static int` `TK_RBRACKET` Token kind codes.
`static int` `TK_Real` Token kind codes.
`static int` `TK_REAL_LITERAL` Token kind codes.
`static int` `TK_reject` Token kind codes.
`static int` `TK_RPAREN` Token kind codes.
`static int` `TK_select` Token kind codes.
`static int` `TK_self` Token kind codes.
`static int` `TK_SEMICOLON` Token kind codes.
`static int` `TK_Sequence` Token kind codes.
`static int` `TK_Set` Token kind codes.
`static int` `TK_sortedBy` Token kind codes.
`static int` `TK_String` Token kind codes.
`static int` `TK_STRING_LITERAL` Token kind codes.
`static int` `TK_then` Token kind codes.
`static int` `TK_true` Token kind codes.
`static int` `TK_Tuple` Token kind codes.
`static int` `TK_UnlimitedNatural` Token kind codes.
`static int` `TK_xor` Token kind codes.

Field Detail

### TK_NUMERIC_OPERATION

    static final int TK_NUMERIC_OPERATION

  Token kind codes.

  See Also:
    Constant Field Values

### TK_STRING_LITERAL

    static final int TK_STRING_LITERAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_INTEGER_LITERAL

    static final int TK_INTEGER_LITERAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_REAL_LITERAL

    static final int TK_REAL_LITERAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_PLUS

    static final int TK_PLUS

  Token kind codes.

  See Also:
    Constant Field Values

### TK_MINUS

    static final int TK_MINUS

  Token kind codes.

  See Also:
    Constant Field Values

### TK_MULTIPLY

    static final int TK_MULTIPLY

  Token kind codes.

  See Also:
    Constant Field Values

### TK_DIVIDE

    static final int TK_DIVIDE

  Token kind codes.

  See Also:
    Constant Field Values

### TK_GREATER

    static final int TK_GREATER

  Token kind codes.

  See Also:
    Constant Field Values

### TK_LESS

    static final int TK_LESS

  Token kind codes.

  See Also:
    Constant Field Values

### TK_EQUAL

    static final int TK_EQUAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_GREATER_EQUAL

    static final int TK_GREATER_EQUAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_LESS_EQUAL

    static final int TK_LESS_EQUAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_NOT_EQUAL

    static final int TK_NOT_EQUAL

  Token kind codes.

  See Also:
    Constant Field Values

### TK_LPAREN

    static final int TK_LPAREN

  Token kind codes.

  See Also:
    Constant Field Values

### TK_RPAREN

    static final int TK_RPAREN

  Token kind codes.

  See Also:
    Constant Field Values

### TK_LBRACE

    static final int TK_LBRACE

  Token kind codes.

  See Also:
    Constant Field Values

### TK_RBRACE

    static final int TK_RBRACE

  Token kind codes.

  See Also:
    Constant Field Values

### TK_LBRACKET

    static final int TK_LBRACKET

  Token kind codes.

  See Also:
    Constant Field Values

### TK_RBRACKET

    static final int TK_RBRACKET

  Token kind codes.

  See Also:
    Constant Field Values

### TK_ARROW

    static final int TK_ARROW

  Token kind codes.

  See Also:
    Constant Field Values

### TK_BAR

    static final int TK_BAR

  Token kind codes.

  See Also:
    Constant Field Values

### TK_COMMA

    static final int TK_COMMA

  Token kind codes.

  See Also:
    Constant Field Values

### TK_COLON

    static final int TK_COLON

  Token kind codes.

  See Also:
    Constant Field Values

### TK_COLONCOLON

    static final int TK_COLONCOLON

  Token kind codes.

  See Also:
    Constant Field Values

### TK_SEMICOLON

    static final int TK_SEMICOLON

  Token kind codes.

  See Also:
    Constant Field Values

### TK_DOT

    static final int TK_DOT

  Token kind codes.

  See Also:
    Constant Field Values

### TK_DOTDOT

    static final int TK_DOTDOT

  Token kind codes.

  See Also:
    Constant Field Values

### TK_ATPRE

    static final int TK_ATPRE

  Token kind codes.

  See Also:
    Constant Field Values

### TK_CARET

    static final int TK_CARET

  Token kind codes.

  See Also:
    Constant Field Values

### TK_CARETCARET

    static final int TK_CARETCARET

  Token kind codes.

  See Also:
    Constant Field Values

### TK_QUESTIONMARK

    static final int TK_QUESTIONMARK

  Token kind codes.

  See Also:
    Constant Field Values

### TK_self

    static final int TK_self

  Token kind codes.

  See Also:
    Constant Field Values

### TK_inv

    static final int TK_inv

  Token kind codes.

  See Also:
    Constant Field Values

### TK_pre

    static final int TK_pre

  Token kind codes.

  See Also:
    Constant Field Values

### TK_post

    static final int TK_post

  Token kind codes.

  See Also:
    Constant Field Values

### TK_context

    static final int TK_context

  Token kind codes.

  See Also:
    Constant Field Values

### TK_package

    static final int TK_package

  Token kind codes.

  See Also:
    Constant Field Values

### TK_endpackage

    static final int TK_endpackage

  Token kind codes.

  See Also:
    Constant Field Values

### TK_def

    static final int TK_def

  Token kind codes.

  See Also:
    Constant Field Values

### TK_if

    static final int TK_if

  Token kind codes.

  See Also:
    Constant Field Values

### TK_then

    static final int TK_then

  Token kind codes.

  See Also:
    Constant Field Values

### TK_else

    static final int TK_else

  Token kind codes.

  See Also:
    Constant Field Values

### TK_endif

    static final int TK_endif

  Token kind codes.

  See Also:
    Constant Field Values

### TK_and

    static final int TK_and

  Token kind codes.

  See Also:
    Constant Field Values

### TK_or

    static final int TK_or

  Token kind codes.

  See Also:
    Constant Field Values

### TK_xor

    static final int TK_xor

  Token kind codes.

  See Also:
    Constant Field Values

### TK_not

    static final int TK_not

  Token kind codes.

  See Also:
    Constant Field Values

### TK_implies

    static final int TK_implies

  Token kind codes.

  See Also:
    Constant Field Values

### TK_let

    static final int TK_let

  Token kind codes.

  See Also:
    Constant Field Values

### TK_in

    static final int TK_in

  Token kind codes.

  See Also:
    Constant Field Values

### TK_true

    static final int TK_true

  Token kind codes.

  See Also:
    Constant Field Values

### TK_false

    static final int TK_false

  Token kind codes.

  See Also:
    Constant Field Values

### TK_body

    static final int TK_body

  Token kind codes.

  See Also:
    Constant Field Values

### TK_derive

    static final int TK_derive

  Token kind codes.

  See Also:
    Constant Field Values

### TK_init

    static final int TK_init

  Token kind codes.

  See Also:
    Constant Field Values

### TK_null

    static final int TK_null

  Token kind codes.

  See Also:
    Constant Field Values

### TK_attr

    static final int TK_attr

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oper

    static final int TK_oper

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Set

    static final int TK_Set

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Bag

    static final int TK_Bag

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Sequence

    static final int TK_Sequence

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Collection

    static final int TK_Collection

  Token kind codes.

  See Also:
    Constant Field Values

### TK_OrderedSet

    static final int TK_OrderedSet

  Token kind codes.

  See Also:
    Constant Field Values

### TK_iterate

    static final int TK_iterate

  Token kind codes.

  See Also:
    Constant Field Values

### TK_forAll

    static final int TK_forAll

  Token kind codes.

  See Also:
    Constant Field Values

### TK_exists

    static final int TK_exists

  Token kind codes.

  See Also:
    Constant Field Values

### TK_isUnique

    static final int TK_isUnique

  Token kind codes.

  See Also:
    Constant Field Values

### TK_any

    static final int TK_any

  Token kind codes.

  See Also:
    Constant Field Values

### TK_one

    static final int TK_one

  Token kind codes.

  See Also:
    Constant Field Values

### TK_collect

    static final int TK_collect

  Token kind codes.

  See Also:
    Constant Field Values

### TK_select

    static final int TK_select

  Token kind codes.

  See Also:
    Constant Field Values

### TK_reject

    static final int TK_reject

  Token kind codes.

  See Also:
    Constant Field Values

### TK_collectNested

    static final int TK_collectNested

  Token kind codes.

  See Also:
    Constant Field Values

### TK_sortedBy

    static final int TK_sortedBy

  Token kind codes.

  See Also:
    Constant Field Values

### TK_closure

    static final int TK_closure

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclIsKindOf

    static final int TK_oclIsKindOf

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclIsTypeOf

    static final int TK_oclIsTypeOf

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclAsType

    static final int TK_oclAsType

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclIsNew

    static final int TK_oclIsNew

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclIsUndefined

    static final int TK_oclIsUndefined

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclIsInvalid

    static final int TK_oclIsInvalid

  Token kind codes.

  See Also:
    Constant Field Values

### TK_oclIsInState

    static final int TK_oclIsInState

  Token kind codes.

  See Also:
    Constant Field Values

### TK_allInstances

    static final int TK_allInstances

  Token kind codes.

  See Also:
    Constant Field Values

### TK_String

    static final int TK_String

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Integer

    static final int TK_Integer

  Token kind codes.

  See Also:
    Constant Field Values

### TK_UnlimitedNatural

    static final int TK_UnlimitedNatural

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Real

    static final int TK_Real

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Boolean

    static final int TK_Boolean

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Tuple

    static final int TK_Tuple

  Token kind codes.

  See Also:
    Constant Field Values

### TK_OclAny

    static final int TK_OclAny

  Token kind codes.

  See Also:
    Constant Field Values

### TK_OclVoid

    static final int TK_OclVoid

  Token kind codes.

  See Also:
    Constant Field Values

### TK_Invalid

    static final int TK_Invalid

  Token kind codes.

  See Also:
    Constant Field Values

### TK_OclMessage

    static final int TK_OclMessage

  Token kind codes.

  See Also:
    Constant Field Values

### TK_OclInvalid

    static final int TK_OclInvalid

  Token kind codes.

  See Also:
    Constant Field Values

### TK_EOF_TOKEN

    static final int TK_EOF_TOKEN

  Token kind codes.

  See Also:
    Constant Field Values

### TK_IDENTIFIER

    static final int TK_IDENTIFIER

  Token kind codes.

  See Also:
    Constant Field Values

### TK_INTEGER_RANGE_START

    static final int TK_INTEGER_RANGE_START

  Token kind codes.

  See Also:
    Constant Field Values

### TK_ERROR_TOKEN

    static final int TK_ERROR_TOKEN

  Token kind codes.

  See Also:
    Constant Field Values

### orderedTerminalSymbols

    static final String[] orderedTerminalSymbols

### isValidForParser

    static final boolean isValidForParser

See Also:
  Constant Field Values

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.